# typed: strict
class Domain::PostFile::InkbunnyPostFile < Domain::PostFile
  aux_table :inkbunny

  validates :ib_id, presence: true, uniqueness: true

  sig { returns(Integer) }
  def retry_count
    super || 0
  end
end
